import '../data/event_option.dart';
import '../data/user.dart';
import '../event/event.dart';

import '../utility/map.dart';

class SignUpEvent extends Event {
  static const String CATEGORY = 'airbridge.user.signup';

  User? user;

  SignUpEvent({ this.user, EventOption? option })
      : super(CATEGORY, option: option);

  @override
  Map<String, dynamic> toMap() {
    Map<String, dynamic> map = super.toMap();
    map.assignOptional('user', user?.toMap());

    return map;
  }
}